/* ==== symbol definition ==== */
////#define EEPROM_MEM_ADDR 0x0000
#define LINE1_MEM_ADDR 0x00
#define LINE2_MEM_ADDR 0x40
////#define DEVICE_CODE 0xA0 /* EEPROM device code :b'1010 */
////#define DEVICE_ADDR 0x00 /* EEPROM device address:b'000 */
#define DEVICE_ADDR2 0x7c /* 0x0111 1100 */
#define IIC_DATA_WR 0x00 /* Data write code :b'0 */
#define IIC_DATA_RD 0x01 /* Data read code :b'1 */
#define IIC3_DATA 10
#define E_OK 0
#define E_ERR 1

void init_i2c(void);
int i2c_write1(int rs0, unsigned char db0);
int ic2_address_send(unsigned char* data, int code);
int i2c_data_send(unsigned char data);
void i2c_mst_send_end(void);
void delay_1ms0(void);
int init_lcd(void);
int test_lcd_puts(unsigned char *s1, unsigned char *s2);
void test_num2char0( int x0, unsigned char *p0);
int test_lcd_icon(int code0);